<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>ServiceRequestBufferImp (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ServiceRequestBufferImp (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" target="_top">Frames</a></li>
<li><a href="ServiceRequestBufferImp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl</div>
<h2 title="Class ServiceRequestBufferImp" class="title">Class ServiceRequestBufferImp</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.ParameterBufferBase</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.impl.ServiceRequestBufferImp</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ServiceRequestBufferImp</span>
extends <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a>
implements <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></pre>
<div class="block">Implementation of ServiceRequestBufferImp.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#org.firebirdsql.gds.impl.ServiceRequestBufferImp">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceRequestBufferImp.SrbMetaData</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ServiceRequestBuffer">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_ADD_LICENSE">ACTION_ADD_LICENSE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_ADD_USER">ACTION_ADD_USER</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_BACKUP">ACTION_BACKUP</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_DB_STATS">ACTION_DB_STATS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_DELETE_USER">ACTION_DELETE_USER</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_DISPLAY_USER">ACTION_DISPLAY_USER</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_GET_SERVER_LOG">ACTION_GET_SERVER_LOG</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_MODIFY_USER">ACTION_MODIFY_USER</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_REMOVE_LICENSE">ACTION_REMOVE_LICENSE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_REPAIR">ACTION_REPAIR</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_RESTORE">ACTION_RESTORE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_SET_DB_PROPERTIES">ACTION_SET_DB_PROPERTIES</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_CONVERT">BACKUP_CONVERT</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_DB_NAME">BACKUP_DB_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_EXPAND">BACKUP_EXPAND</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_FACTOR">BACKUP_FACTOR</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_FILE">BACKUP_FILE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_IGNORE_CHECKSUMS">BACKUP_IGNORE_CHECKSUMS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_IGNORE_LIMBO">BACKUP_IGNORE_LIMBO</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_LENGTH">BACKUP_LENGTH</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_METADATA_ONLY">BACKUP_METADATA_ONLY</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_NO_GARBAGE_COLLECT">BACKUP_NO_GARBAGE_COLLECT</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_NON_TRANSPORTABLE">BACKUP_NON_TRANSPORTABLE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_OLD_DESCRIPTIONS">BACKUP_OLD_DESCRIPTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_OPTIONS">BACKUP_OPTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_CAPABILITIES">INFO_CAPABILITIES</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_FLAG_END">INFO_FLAG_END</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_CONFIG">INFO_GET_CONFIG</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_ENV">INFO_GET_ENV</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_ENV_LOCK">INFO_GET_ENV_LOCK</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_ENV_MSG">INFO_GET_ENV_MSG</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_LICENSE">INFO_GET_LICENSE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_LICENSE_MASK">INFO_GET_LICENSE_MASK</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_LICENSED_USERS">INFO_GET_LICENSED_USERS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_OUTPUT_LINE">INFO_GET_OUTPUT_LINE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_OUTPUT_TO_EOF">INFO_GET_OUTPUT_TO_EOF</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_USERS">INFO_GET_USERS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_IMPLEMENTATION">INFO_IMPLEMENTATION</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_LIMBO_TRANSACTIONS">INFO_LIMBO_TRANSACTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_MULTI_TRANSACTION_ID">INFO_MULTI_TRANSACTION_ID</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_RUNNING">INFO_RUNNING</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SERVER_VERSION">INFO_SERVER_VERSION</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SINGLE_TRANSACTION_ID">INFO_SINGLE_TRANSACTION_ID</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SVC_MGR_VERSION">INFO_SVC_MGR_VERSION</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SVR_DB_INFO">INFO_SVR_DB_INFO</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TIMEOUT">INFO_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE">INFO_TRANSACTION_ADVICE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE_COMMIT">INFO_TRANSACTION_ADVICE_COMMIT</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE_ROLLBACK">INFO_TRANSACTION_ADVICE_ROLLBACK</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE_UNKNOWN">INFO_TRANSACTION_ADVICE_UNKNOWN</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_DB_PATH">INFO_TRANSACTION_DB_PATH</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_HOST_SITE">INFO_TRANSACTION_HOST_SITE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_REMOTE_SITE">INFO_TRANSACTION_REMOTE_SITE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE">INFO_TRANSACTION_STATE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_COMMIT">INFO_TRANSACTION_STATE_COMMIT</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_LIMBO">INFO_TRANSACTION_STATE_LIMBO</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_ROLLBACK">INFO_TRANSACTION_STATE_ROLLBACK</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_UNKNOWN">INFO_TRANSACTION_STATE_UNKNOWN</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_USER_DB_PATH">INFO_USER_DB_PATH</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#LICENSE_DESCRIPTION">LICENSE_DESCRIPTION</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#LICENSE_ID">LICENSE_ID</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#LICENSE_KEY">LICENSE_KEY</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACCESS_MODE">PROPS_ACCESS_MODE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACCESS_MODE_READONLY">PROPS_ACCESS_MODE_READONLY</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACCESS_MODE_READWRITE">PROPS_ACCESS_MODE_READWRITE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACTIVATE_SHADOW">PROPS_ACTIVATE_SHADOW</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_BUFFERS">PROPS_BUFFERS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DB_NAME">PROPS_DB_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DB_ONLINE">PROPS_DB_ONLINE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DENY_NEW_ATTACHMENTS">PROPS_DENY_NEW_ATTACHMENTS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DENY_NEW_TRANSACTIONS">PROPS_DENY_NEW_TRANSACTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_OPTIONS">PROPS_OPTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_RESERVE_SPACE">PROPS_RESERVE_SPACE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_RESERVE_USE_ALL_SPACE">PROPS_RESERVE_USE_ALL_SPACE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_RESERVE_VERSIONS">PROPS_RESERVE_VERSIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_SET_SQL_DIALECT">PROPS_SET_SQL_DIALECT</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_SHUTDOWN_DB">PROPS_SHUTDOWN_DB</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_SWEEP_INTERVAL">PROPS_SWEEP_INTERVAL</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_WRITE_MODE">PROPS_WRITE_MODE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_WRITE_MODE_ASYNC">PROPS_WRITE_MODE_ASYNC</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_WRITE_MODE_SYNC">PROPS_WRITE_MODE_SYNC</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_CHECK_DB">REPAIR_CHECK_DB</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_COMMIT_TRANSACTIONS">REPAIR_COMMIT_TRANSACTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_DB_NAME">REPAIR_DB_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_FULL">REPAIR_FULL</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_IGNORE_CHECKSUM">REPAIR_IGNORE_CHECKSUM</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_KILL_SHADOWS">REPAIR_KILL_SHADOWS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_LIST_LIMBO_TRANSACTIONS">REPAIR_LIST_LIMBO_TRANSACTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_MEND_DB">REPAIR_MEND_DB</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_OPTIONS">REPAIR_OPTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_RECOVER_TWO_PHASE">REPAIR_RECOVER_TWO_PHASE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_ROLLBACK_TRANSACTIONS">REPAIR_ROLLBACK_TRANSACTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_SWEEP_DB">REPAIR_SWEEP_DB</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_TRANSACTION_ID">REPAIR_TRANSACTION_ID</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_VALIDATE_DB">REPAIR_VALIDATE_DB</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ACCESS_MODE">RESTORE_ACCESS_MODE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ACCESS_MODE_READONLY">RESTORE_ACCESS_MODE_READONLY</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ACCESS_MODE_READWRITE">RESTORE_ACCESS_MODE_READWRITE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_BACKUP_PATH">RESTORE_BACKUP_PATH</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_BUFFERS">RESTORE_BUFFERS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_CREATE">RESTORE_CREATE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_DB_NAME">RESTORE_DB_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_DEACTIVATE_IDX">RESTORE_DEACTIVATE_IDX</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_LENGTH">RESTORE_LENGTH</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_NO_SHADOW">RESTORE_NO_SHADOW</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_NO_VALIDITY">RESTORE_NO_VALIDITY</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ONE_AT_A_TIME">RESTORE_ONE_AT_A_TIME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_OPTIONS">RESTORE_OPTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_OVERWRITE">RESTORE_OVERWRITE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_PAGE_SIZE">RESTORE_PAGE_SIZE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_USE_ALL_SPACE">RESTORE_USE_ALL_SPACE</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_FIRST_NAME">SECURITY_FIRST_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_GROUPID">SECURITY_GROUPID</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_GROUPNAME">SECURITY_GROUPNAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_LAST_NAME">SECURITY_LAST_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_MIDDLE_NAME">SECURITY_MIDDLE_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_PASSWORD">SECURITY_PASSWORD</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_USER_NAME">SECURITY_USER_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_USERID">SECURITY_USERID</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_DATA_PAGES">STATS_DATA_PAGES</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_DB_LOG">STATS_DB_LOG</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_DB_NAME">STATS_DB_NAME</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_HEADER_PAGES">STATS_HEADER_PAGES</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_INDEX_PAGES">STATS_INDEX_PAGES</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_NOCREATION">STATS_NOCREATION</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_OPTIONS">STATS_OPTIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_RECORD_VERSIONS">STATS_RECORD_VERSIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_SYSTEM_RELATIONS">STATS_SYSTEM_RELATIONS</a>, <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_TABLE">STATS_TABLE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html#ServiceRequestBufferImp-org.firebirdsql.gds.impl.ServiceRequestBufferImp.SrbMetaData-org.firebirdsql.encodings.Encoding-">ServiceRequestBufferImp</a></span>(<a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceRequestBufferImp.SrbMetaData</a>&nbsp;srbMetaData,
                       <a href="../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html#addArgument-int-byte-">addArgument</a></span>(int&nbsp;argumentType,
           byte&nbsp;value)</code>
<div class="block">Set a <code>byte</code> parameter on this
 <code>ServiceRequestBuffer</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.impl.ParameterBufferBase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a></h3>
<code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-long-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-java.lang.String-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#equals-java.lang.Object-">equals</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getArgumentsList--">getArgumentsList</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getDefaultEncoding--">getDefaultEncoding</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getLength--">getLength</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getParameterBufferMetaData--">getParameterBufferMetaData</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getType--">getType</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#hasArgument-int-">hasArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#hashCode--">hashCode</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#iterator--">iterator</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#removeArgument-int-">removeArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#size--">size</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#toBytes--">toBytes</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#toXdrable--">toXdrable</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ServiceRequestBufferImp-org.firebirdsql.gds.impl.ServiceRequestBufferImp.SrbMetaData-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ServiceRequestBufferImp</h4>
<pre>public&nbsp;ServiceRequestBufferImp(<a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceRequestBufferImp.SrbMetaData</a>&nbsp;srbMetaData,
                               <a href="../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addArgument-int-byte-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addArgument</h4>
<pre>public&nbsp;void&nbsp;addArgument(int&nbsp;argumentType,
                        byte&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#addArgument-int-byte-">ServiceRequestBuffer</a></code></span></div>
<div class="block">Set a <code>byte</code> parameter on this
 <code>ServiceRequestBuffer</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html#addArgument-int-byte-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - The parameter to be set</dd>
<dd><code>value</code> - The value to the set for the given parameter</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" target="_top">Frames</a></li>
<li><a href="ServiceRequestBufferImp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
